Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.rmi.CORBA
Class Stub

    java.lang.Object
      org.omg.CORBA.portable.ObjectImpl
          org.omg.CORBA_2_3.portable.ObjectImpl
              javax.rmi.CORBA.Stub

All Implemented Interfaces:
  Serializable, Object

Direct Known Subclasses:
  _Remote_Stub

    public abstract class Stub

extends ObjectImpl
implements Serializable

Base class from which all RMI-IIOP stubs must inherit.

See Also:
  Serialized Form

Constructor Summary
`Stub()`

Method Summary
`void` | `connect(ORB orb)` Connects this stub to an ORB.
`boolean` | `equals(Object obj)` Compares two stubs for equality.
`int` | `hashCode()` Returns a hash code value for the object which is the same for all stubs that represent the same remote object.
`String` | `toString()` Returns a string representation of this stub.

Methods inherited from class org.omg.CORBA_2_3.portable.ObjectImpl
`_get_codebase`

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _ids, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Stub

    public Stub()

Method Detail

### hashCode

    public int hashCode()

  Returns a hash code value for the object which is the same for all stubs that represent the same remote object.

  Overrides:
    `hashCode` in class `ObjectImpl`
  Returns:
    the hash code value.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

### equals

    public boolean equals(Object obj)

  Compares two stubs for equality. Returns `true` when used to compare stubs that represent the same remote object, and `false` otherwise.

  Overrides:
    `equals` in class `ObjectImpl`
  Parameters:
    `obj` - the reference object with which to compare.
  Returns:
    `true` if this object is the same as the `obj` argument; `false` otherwise.
  See Also:
    `Object.hashCode()`, `Hashtable`

### toString

    public String toString()

  Returns a string representation of this stub. Returns the same string for all stubs that represent the same remote object.

  Overrides:
    `toString` in class `ObjectImpl`
  Returns:
    a string representation of this stub.

### connect

    public void connect(ORB orb)
                 throws RemoteException

  Connects this stub to an ORB. Required after the stub is deserialized but not after it is demarshalled by an ORB stream. If an unconnected stub is passed to an ORB stream for marshalling, it is implicitly connected to that ORB. Application code should not call this method directly, but should call the portable wrapper method `PortableRemoteObject.connect(java.rmi.Remote, java.rmi.Remote)`.

  Parameters:
    `orb` - the ORB to connect to.
  Throws:
    `RemoteException` - if the stub is already connected to a different ORB, or if the stub does not represent an exported remote or local object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.